Bug 176706 - Unable to edit existing menu entries that don't have an icon (hack fix attached)
Unable to edit existing menu entries that don't have an icon (hack fix attached)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: alacarte (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-30 08:07 EST by John Dubery
Modified: 2008-03-09 21:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 21:47:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Hack fix of the bug (11.47 KB, text/x-python)
2005-12-30 08:16 EST, John Dubery
no flags Details

  None (edit)
Description John Dubery 2005-12-30 08:07:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
For a menu entry that has no icon associated with it, right clicking the entry and choosing "Properties" has no visible effect on the GUI.

Running in a terminal, the following message is seen:

Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/Alacarte/GnomeFront.py", line 436, in on_editproperties_activate
    self.dialogs.editEntryDialog(item)
  File "/usr/lib/python2.4/site-packages/Alacarte/GnomeDialogHandler.py", line 215, in editEntryDialog
    iconButton.set_pixmap_subdir(item.iconPath)
TypeError: GnomeIconEntry.set_pixmap_subdir() argument 1 must be string, not None

This can be made to work by hacking file /usr/lib/python2.4/site-packages/Alacarte/GnomeDialogHandler.py; the hacked file will be attached.

Version-Release number of selected component (if applicable):
alacarte-0.8-1.fc4

How reproducible:
Always

Steps to Reproduce:
1. Start alacarte
2. Right click a menu entry that has no icon (e.g. aiksaurus)
3. Select "Properties"
  

Actual Results:  Nothing

Expected Results:  A menu entry properties dialog should have appeared

Additional info:

This is on an FC4 system with all possibly relevant updates in place according to yum/yumex
Comment 1 John Dubery 2005-12-30 08:16:47 EST
Created attachment 122642 [details]
Hack fix of the bug

This is a quick hack but it works - there may be a nicer way of fixing it.
Comment 2 John Dubery 2006-01-02 05:12:25 EST
Note on my hack-fix ... it doesn't fully work. It allows an entry without an 
icon to be opened, but not changed (unless an icon is added as one of the 
changes).

cheers, John
Comment 3 Christian Iseli 2007-01-17 18:20:48 EST
FC3 and FC4 have now been EOL'd.

Please check the ticket against a current Fedora release, and either adjust the
release number, or close it if appropriate.

Thanks.

Your friendly BZ janitor :-)
Comment 4 petrosyan 2008-03-09 21:47:25 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.